JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const publishResultView = await client.axons.publish('id', {
event_type: 'event_type',
origin: 'EXTERNAL_EVENT',
payload: 'payload',
source: 'source',
});
console.log(publishResultView.sequence);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
publish_result_view = client.axons.publish(
id="id",
event_type="event_type",
origin="EXTERNAL_EVENT",
payload="payload",
source="source",
)
print(publish_result_view.sequence)curl --request POST \
--url https://api.runloop.ai/v1/axons/{id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "<string>",
"event_type": "<string>",
"payload": "<string>"
}
'
{
"sequence": 123,
"timestamp_ms": 123
}axons
[Beta] Publish an event to an axon.
[Beta] Publish an event to a specified axon.
POST
/
v1
/
axons
/
{id}
/
publish
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const publishResultView = await client.axons.publish('id', {
event_type: 'event_type',
origin: 'EXTERNAL_EVENT',
payload: 'payload',
source: 'source',
});
console.log(publishResultView.sequence);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
publish_result_view = client.axons.publish(
id="id",
event_type="event_type",
origin="EXTERNAL_EVENT",
payload="payload",
source="source",
)
print(publish_result_view.sequence)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The axon identifier.
Body
application/json
Was this page helpful?
⌘I
